#3196 closed defect (wontfix)

4-11.2 gdb generation fails

Reported by: Ben Owned by:
Priority: normal Milestone: 4.11.3
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

4-11.2 source building fails during gdb generation on Linux Mint 17.1
"checking for python2.7" is followed by
"python missing are unusable"

this is due to an #include "Python.h" that fails

NOTE: the source building package of 4-11.2 that is used, generates a NOT RELEASED message at the start; a ticket has been raised for this

Attachments (1)

config.log (69.2 KB) - added by Ben on Oct 17, 2017 at 5:09:27 AM.
config.log in ..../rtems-source-builder-4.11.2/rtems/build/m68k-rtems4.11-gdb-7.9-i686-linux-gnu-1/build/gdb

Download all attachments as: .zip

Change History (3)

Changed on Oct 17, 2017 at 5:09:27 AM by Ben

Attachment: config.log added

config.log in ..../rtems-source-builder-4.11.2/rtems/build/m68k-rtems4.11-gdb-7.9-i686-linux-gnu-1/build/gdb

comment:1 Changed on Oct 23, 2017 at 8:38:46 AM by Ben

The problem has been resolved
The message sequence "checking python2.7" and result "python missing" are not related
In between is a check for Python.h which was not installed.
Installation has resolved the generation issue

Hence a recommendation is left for sb-check to test on Python.h (as well to check for ncurses and termcap)

comment:2 Changed on Feb 5, 2018 at 4:47:05 AM by Chris Johns

Resolution: wontfix
Status: newclosed

This will not be fixed on this branch.

Checking for a header is not simple to implement. Where do you check for python.h because the location can vary from host to host. For example on MacOS and Xcode it is /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7/Python.h.

Note: See TracTickets for help on using tickets.